# Restriction

### Cookie restriction

Set a cookie name and value. The discount is only granted if this cookie exists.

| Field        | Type      | Description                                                                                                                                                                                                                 |
| ------------ | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Cookie name  | Textfield | Enter the name of the cookie, for example **myCookie.**                                                                                                                                                                     |
| Cookie value | Textfield | <p>Set a value for the cookie, such as <strong>showDiscount.</strong><br><br>The discount would then only be displayed if the cookie <strong>myCookie</strong> with the value <strong>showDiscount</strong> is present.</p> |

### Url parameter restriction

You can use the URL parameter restriction to specify that the discount is only granted if the customer calls up the shop URL with a special parameter. The call for this is later, for example: ?myParameter=yes

| Field               | Type      | Description                                                                                                                                           |
| ------------------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| Url parameter name  | Textfield | Enter the name of the URL parameter, for example **myParam.**                                                                                         |
| Url parameter value | Textfield | <p>Set a value for the parameter, such as <strong>showDiscount.</strong><br>The URL parameter would then be<br><code>?myParam=showDiscount</code></p> |

### Customer restriction

In this area you can select customers or customer groups to which the discount applies exclusively.

| Field                      | Type               | Description                                                            |
| -------------------------- | ------------------ | ---------------------------------------------------------------------- |
| Restrict to customer group | Multi select field | Select one or more customer groups to which the discount should apply. |
| Restrict to customer       | Multi select field | Limit the discount to certain customers.                               |

### Sales channel restriction

Select sales channels for which the discount should be valid.

| Field                     | Type               | Description                                                                    |
| ------------------------- | ------------------ | ------------------------------------------------------------------------------ |
| Restrict to sales channel | Multi select field | Select one or more sales channels for which the discount should only be valid. |

### Promotion restriction

Exclude other discounts & promotions in this section when the campaign discount is active.

| Field                      | Type     | Description                                                                                                               |
| -------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------- |
| Block all other promotions | Checkbox | Activate this option to prohibit other discounts as soon as a product with a campaign discount is in the shopping basket. |
| Choose specific promotions | Dropdown | Select a discount that must not be in the shopping basket together with a discount category promotion.                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.premsoft.de/en/plugins/discount-category-for-shopware-6/admin-dashboard/create-campaign/restriction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
